Package Details: python-av1an-git 1.12.r427.g4bfdc8d-1

Git Clone URL: https://aur.archlinux.org/python-av1an-git.git (read-only, click to copy)
Package Base: python-av1an-git
Description: A cross-platform all-in-one tool for streamlining AV1 encoding
Upstream URL: https://github.com/master-of-zen/Av1an
Keywords: audio av1 codec convert encoder media svt video
Licenses: GPL3
Conflicts: python-av1an
Provides: python-av1an
Submitter: nathanielcwm
Maintainer: nathanielcwm
Last Packager: nathanielcwm
Votes: 1
Popularity: 0.014430
First Submitted: 2020-04-25 09:51
Last Updated: 2020-12-02 22:04

Dependencies (24)

Required by (0)

Sources (1)

Pinned Comments

nathanielcwm commented on 2020-07-27 15:17

VTM has not been added as a dependency as it isn't in the AUR or Arch repos yet from what I can see.

If you want to encode VVC build it from here:

https://vcgit.hhi.fraunhofer.de/jvet/VVCSoftware_VTM

Latest Comments

nathanielcwm commented on 2020-09-28 01:08

Thanks for the heads up.

kruzah commented on 2020-09-27 20:32

Fuzzywuzzy seems to have been added as a dependency upstream very recently. python-fuzzywuzzy should be added to depends list to make it run properly.

nathanielcwm commented on 2020-07-27 15:17

VTM has not been added as a dependency as it isn't in the AUR or Arch repos yet from what I can see.

If you want to encode VVC build it from here:

https://vcgit.hhi.fraunhofer.de/jvet/VVCSoftware_VTM

Kr1ss commented on 2020-07-27 15:16

Thank you for investigating anyways !

nathanielcwm commented on 2020-07-27 15:15

Then I guess i'll leave it as is and see if someone else complains.

Kr1ss commented on 2020-07-27 15:13

I already did. I did't test thoroughly, but it doesn't throw exceptions on my end when I call the application :)

nathanielcwm commented on 2020-07-27 15:11

Thanks for the heads up.

Could you try building it on your machine and seeing if it works because it seems to be working fine on my machine without changing the setup.py.

Kr1ss commented on 2020-07-27 14:47

Thx for the reply. FWIW, All I needed to do was to change the reference to opencv-python to just opencv in the setup.py file - see the dupliseek-git PKGBUILD

nathanielcwm commented on 2020-07-27 14:39

Hi @Kr1ss,

I was personally not able to use the opencv python bindings myself which is why I relied on your package. I will test to see if the opencv package now works for this package.

Kr1ss commented on 2020-07-27 14:32

Hi @nathanielcwm, maintainer of python-opencv-python here, which is a dependency of your package.

I initially just created it to fulfil a dependency for another package of mine, as I haven't been aware that extra/opencv does provide python bindings. Turns out I don't actually need python-opencv-python.

Before orphaning or deleting it, I'm hereby contacting the maintainers of packages which depend on it and see who's willing to take over maintainership. If you're interested, pls email me or leave a comment at python-opencv-python; I would then add you as co-maintainer so that you can take it over after I abandon it.

Cheers !